kind: PersistentVolume
apiVersion: v1
metadata:
  name: rabbitmq-pv
  labels:
    app: rabbitmq
spec:
  storageClassName: rabbitmq
  capacity:
    storage: 5Gi
  accessModes:
    - ReadWriteMany
  hostPath:
    path: {{ .Values.global.RABBITMQ_PATH }}
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: {{ .Values.global.affinity_key }}
          operator: In
          values:
          - {{ .Values.global.affinity_value1 }}
